Main Page Class List Class Members

# VHACD::Volume Class Reference

`#include <vhacdVolume.h>`

List of all members.

## Public Member Functions
void | AlignToPrincipalAxes (double(&rot)[3][3]) const
void | Convert (TetrahedronSet &tset) const
void | Convert (VoxelSet &vset) const
void | Convert (Mesh &mesh, const VOXEL_VALUE value) const
const size_t | GetNPrimitivesInsideSurf () const
const size_t | GetNPrimitivesOnSurf () const
const unsigned char & | GetVoxel (const size_t i, const size_t j, const size_t k) const
unsigned char & | GetVoxel (const size_t i, const size_t j, const size_t k)
| Volume ()
| Constructor.
template<class T >
void | Voxelize (const T *const points, const uint32_t stridePoints, const uint32_t nPoints, const int32_t *const triangles, const uint32_t strideTriangles, const uint32_t nTriangles, const size_t dim, const Vec3< double > &barycenter, const double(&rot)[3][3])
| Voxelize.
| ~Volume (void)
| Destructor.

## Constructor & Destructor Documentation

VHACD::Volume::~Volume | ( | void |  | ) |

Destructor.

VHACD::Volume::Volume | ( |  | ) |

Constructor.

## Member Function Documentation

void VHACD::Volume::AlignToPrincipalAxes | ( | double(&) | rot[3][3] | ) | const

void VHACD::Volume::Convert | ( | TetrahedronSet & | tset | ) | const

void VHACD::Volume::Convert | ( | VoxelSet & | vset | ) | const

void VHACD::Volume::Convert | ( | Mesh & | mesh,
|  | const VOXEL_VALUE | value |
| ) |  |  | const

const size_t VHACD::Volume::GetNPrimitivesInsideSurf | ( |  | ) | const`[inline]`

const size_t VHACD::Volume::GetNPrimitivesOnSurf | ( |  | ) | const`[inline]`

const unsigned char& VHACD::Volume::GetVoxel | ( | const size_t | i,
|  | const size_t | j,
|  | const size_t | k |
| ) |  |  | const`[inline]`

unsigned char& VHACD::Volume::GetVoxel | ( | const size_t | i,
|  | const size_t | j,
|  | const size_t | k |
| ) |  |  | `[inline]`

template<class T >

void VHACD::Volume::Voxelize | ( | const T *const | points,
|  | const uint32_t | stridePoints,
|  | const uint32_t | nPoints,
|  | const int32_t *const | triangles,
|  | const uint32_t | strideTriangles,
|  | const uint32_t | nTriangles,
|  | const size_t | dim,
|  | const Vec3< double > & | barycenter,
|  | const double(&) | rot[3][3] |
| ) |  |  | `[inline]`

Voxelize.

The documentation for this class was generated from the following file:

- sdk/extensions/authoring/source/VHACD/inc/vhacdVolume.h